Subject: [bug#77574] [PATCH] .dir-locals.el: Add compile command.

From: Morgan Smith <[email-masked]>
Date: Mon, 07 Apr 2025 18:06:50 -0400

Gabriel Santos <[email-masked]> writes:

>>According to the info manual [[info:guix#Building from Git]] the command
>>should be "guix shell -D guix -CPW -- make" (notice the 'W' switch).
>
> Yes, I got the command from the manual too, but I've been able
> to compile without the "W" flag. Maybe it's because I already
> have Guix compiled. I'll do a "make clean" to check.

The 'W' switch is for nested container shenanigans.  I think our tests
("make check" and "make check-system") need it.  As it's very natural to
modify the compile command from a prompt, I imagine many users will
simply append "check" and "check-system" to the default command.

Assuming you can compile without the 'W', I'm not opposed to leaving the
command as is.  However, personally I would add the 'W'.